Get Client Config
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/client/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/client/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/client/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context_graph_api_base": "<string>",
"organization_id": "<string>",
"organization_name": "<string>"
}client-config
Get Client Config
Get client configuration including backend service URLs.
This endpoint allows CLI clients to discover the context graph API URL and other service endpoints, enabling direct connections without proxying through the control plane.
Returns: ClientConfig with service URLs and credentials
GET
/
api
/
v1
/
client
/
config
Get Client Config
Was this page helpful?
⌘I